summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Heinz Wiesinger2011-12-19 06:42:06 +0100
committer Robby Workman2011-12-19 06:42:06 +0100
commitc0635bf7d859e728617587528725b08899fe661e (patch)
treebece6d0b6fd1f6df40db58c97649f33045eaee70 /development
parent3f132a963853c73dc830bb2c16642eca4aa3c0f0 (diff)
downloadslackbuilds-c0635bf7d859e728617587528725b08899fe661e.tar.gz
development/ming: Updated for version 0.4.4.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/ming/README8
-rw-r--r--development/ming/doinst.sh15
-rw-r--r--development/ming/ming.SlackBuild30
-rw-r--r--development/ming/ming.info8
-rw-r--r--development/ming/ming.ini2
5 files changed, 35 insertions, 28 deletions
diff --git a/development/ming/README b/development/ming/README
index d45e0221bb..9daf66ce43 100644
--- a/development/ming/README
+++ b/development/ming/README
@@ -6,7 +6,7 @@ morphs), text, sprites (aka movie clips), buttons, and actions
in flash movies, plus more. The goal for Ming is to abstract
away all of the mundane specifics of the SWF file format.
-This package contains the c++, perl, python, php and tcl-plugin.
-To enable the php-plugin you have to add
- extension=php_ming.so
-to the appropriate place in /etc/httpd/php.ini
+This builds the c++, perl, python, php and tcl-plugin.
+To enable the php extension, go to /etc/php/ming.ini
+and uncomment the line:
+ ; extension=ming.so
diff --git a/development/ming/doinst.sh b/development/ming/doinst.sh
new file mode 100644
index 0000000000..3f7b1b6cc8
--- /dev/null
+++ b/development/ming/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/php/ming.ini.new
+
diff --git a/development/ming/ming.SlackBuild b/development/ming/ming.SlackBuild
index 92162b4a18..09007f7acd 100644
--- a/development/ming/ming.SlackBuild
+++ b/development/ming/ming.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for ming
-# Copyright 2008-2010 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2008-2011 Heinz Wiesinger, Amsterdam, The Netherlands
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,16 +23,14 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ming
-VERSION=0.4.3
+VERSION=0.4.4
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -44,15 +42,12 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- PERL_ARCH="i486"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- PERL_ARCH="i486"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
- PERL_ARCH="x86_64"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
@@ -100,6 +95,9 @@ cd perl_ext
make install DESTDIR=$PKG
cd -
+# Install config file for PHP.
+install -D -m 644 $CWD/ming.ini $PKG/etc/php/ming.ini.new
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -107,27 +105,19 @@ mkdir -p $PKG/usr/man/man3
mv $PKG/usr/share/man/man3/* $PKG/usr/man/man3/
rm -rf $PKG/usr/share
-# Remove perlocal.pod and .packlist from $PKG
-( for i in perllocal.pod .packlist *.bs; do
- find $PKG -name "$i" -exec rm -rf {} \;
- done
- # Remove empty directory
- PERLVER=$(perl -v | grep linux | cut -d " " -f 4 | sed "s/v//");
- rmdir --parents $PKG/usr/lib$LIBDIRSUFFIX/perl5/$PERLVER/$PERL_ARCH-linux-thread-multi 2>/dev/null || true
-)
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
-( cd $PKG/usr/man || exit 1
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog COPYING HISTORY INSTALL LICENSE* NEWS README TODO \
+cp -a AUTHORS COPYING HISTORY INSTALL LICENSE* NEWS README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ming/ming.info b/development/ming/ming.info
index ba71980480..d3fb277bda 100644
--- a/development/ming/ming.info
+++ b/development/ming/ming.info
@@ -1,10 +1,10 @@
PRGNAM="ming"
-VERSION="0.4.3"
+VERSION="0.4.4"
HOMEPAGE="http://www.libming.org"
-DOWNLOAD="http://downloads.sourceforge.net/ming/ming-0.4.3.tar.bz2"
-MD5SUM="db6bae65d000e2f2ac78583fd453f99a"
+DOWNLOAD="http://downloads.sourceforge.net/ming/ming-0.4.4.tar.bz2"
+MD5SUM="9e780f93670eaf68b1eefa6cdfc1d1e2"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Heinz Wiesinger"
EMAIL="pprkut@liwjatan.at"
-APPROVED="Erik Hanson"
+APPROVED="rworkman"
diff --git a/development/ming/ming.ini b/development/ming/ming.ini
new file mode 100644
index 0000000000..d73fcb9595
--- /dev/null
+++ b/development/ming/ming.ini
@@ -0,0 +1,2 @@
+; Enable ming extension module
+; extension=ming.so